using Assets.Source.Constants;
using UnityEngine;

namespace Assets.Source.Content.Tweens
{
    [CreateAssetMenu(menuName = GeneralConstants.PATH_CREATE_MENU_UI_TWEENS + "TweenFade")]
    public class UITweenDataFade : ScriptableObject
    {
        public AnimationCurve FadeInCurve = AnimationCurve.EaseInOut(0, 0, 1, 1);
        public AnimationCurve FadeOutCurve = AnimationCurve.EaseInOut(0, 0, 1, 1);

        public float FadeInDuration = 0.5f;
        public float FadeOutDuration = 0.5f;
    }
}
